> ## Documentation Index
> Fetch the complete documentation index at: https://docs.alumio.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate a new system administrator token

> Generates a new system administrator token from the supplied name and optional description. Returns the generated access token together with its identifier. The access token is only shown once. A system administrator token grants system-wide administrative access to this environment, including managing spaces. By creating a token you accept responsibility for keeping it secret, sharing it only with parties that are allowed to administer this environment, and revoking it as soon as it is no longer needed.



## OpenAPI

````yaml /schema.json post /system_administrator_tokens
openapi: 3.1.0
info:
  version: 01M2JHQ5HKJ2RWP0HRADQ64RGB
  title: Alumio API
  description: Access Alumio through OpenAPI v3.1.
servers:
  - url: /api/v1
security: []
paths:
  /system_administrator_tokens:
    post:
      tags:
        - SystemAdministratorToken
      summary: Generate a new system administrator token
      description: >-
        Generates a new system administrator token from the supplied name and
        optional description. Returns the generated access token together with
        its identifier. The access token is only shown once. A system
        administrator token grants system-wide administrative access to this
        environment, including managing spaces. By creating a token you accept
        responsibility for keeping it secret, sharing it only with parties that
        are allowed to administer this environment, and revoking it as soon as
        it is no longer needed.
      operationId: createSystemAdministratorToken
      parameters:
        - name: space
          in: query
          description: Space Identifier
          required: false
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SystemAdministratorTokenCreate'
      responses:
        '200':
          description: A token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SystemAdministratorTokenCreateResponse'
        default:
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    SystemAdministratorTokenCreate:
      type: object
      properties:
        name:
          title: Token name
          type: string
          maxLength: 45
          ui:
            ui:options:
              autoFocus: true
        description:
          title: Description
          type: string
          maxLength: 64000
      required:
        - name
    SystemAdministratorTokenCreateResponse:
      type: object
      properties:
        access_token:
          type: string
        identifier:
          type: string
    Error:
      type: object
      properties:
        status:
          type: string
        context:
          type: object
        type:
          type: string
        title:
          type: string
        detail:
          type: string
        violations:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              propertyPath:
                type: string
              type:
                type: string

````